> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/transaction/get-transaction.md).

# Get Transaction

## /transactions/:transaction\_id

<mark style="color:blue;">`GET`</mark> `https://api.terminal.africa/v1/transactions/:transaction_id`

This endpoint allows you to retrieve details for a transaction.

#### Path Parameters

| Name                                              | Type   | Description                                  |
| ------------------------------------------------- | ------ | -------------------------------------------- |
| transaction\_id<mark style="color:red;">\*</mark> | string | Unique ***transaction\_id*** of transaction. |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |

{% tabs %}
{% tab title="200 Transaction retrieved successfully." %}

```
{
	status: true,
	message: 'Transaction retrieved successfully',
	data: {
		amount: 14000,
		currency: 'NGN',
		description: 'Billing charge for DHL Express shipment [SH-40208776515] to Timothy Odunubi.',
		flow: 'out',
		platform: 'terminal',
		id: 'Qm8zsXDrvkCEK5I8PtLaP3H29mkR11qu',
		reference: '',
		shipment: 'BUbL05Ecprhc2q17Xh9woRSwNpXJehay',
		transaction_id: 'TR-28598558366',
		wallet: 'nGvZRE5lyb7H1ZuORKVjKlXfETsWff0J',
		status: 'success',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.terminal.africa/tship/transaction/get-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
